<head>

  <link rel="stylesheet" href="res/css/tree.css">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans|Raleway" rel="stylesheet">

  <script>var runOnLoad=function(c,o,d,e){function x(){for(e=1;c.length;)c.shift()()}o[d]?(document[d]('DOMContentLoaded',x,0),o[d]('load',x,0)):o.attachEvent('onload',x);return function(t){e?o.setTimeout(t,0):c.push(t)}}([],window,'addEventListener');</script>

  <script type="text/javascript" src="res/js/CollapsibleLists.src.js">

  </script>
  <script type="text/javascript">
    runOnLoad(function(){ CollapsibleLists.apply(); });
  </script>
</head>
<body>
  <div class="summary-button">
      <a id="treeNav" href="Full-Report.html">View Summary</a>
  </div>
<ul class="collapsibleList" >
  <div id="prevTree">Previous Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): ViewGroup ID: android:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,48 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 277,112
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,48 Type(class): FrameLayout ID:  Name:  Type(class): FrameLayout Rectangle: 129,112
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 0,88 Type(class): ImageView ID: android:id/up Name:  Type(class): ImageView Rectangle: 32,32
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 25,56 Type(class): ImageView ID: android:id/home Name:  Type(class): ImageView Rectangle: 96,96
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 129,79 Type(class): TextView ID: android:id/action_bar_title Name: Settings Type(class): TextView Rectangle: 132,49
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,160 Type(class): ListView ID: android:id/list Name:  Type(class): ListView Rectangle: 1200,1664
</span><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 48,160 Type(class): TextView ID: android:id/title Name: Update Type(class): TextView Rectangle: 1104,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 48,226 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1104,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 64,242 Type(class): ImageView ID: android:id/icon Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 176,234 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 844,111
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,246 Type(class): TextView ID: android:id/title Name: WiFi Type(class): TextView Rectangle: 70,49
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,295 Type(class): TextView ID: android:id/summary Name: Update on WiFi only Type(class): TextView Rectangle: 246,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 1044,258 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 48,356 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1104,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 64,372 Type(class): ImageView ID: android:id/icon Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 176,364 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 844,111
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,376 Type(class): TextView ID: android:id/title Name: Roaming Type(class): TextView Rectangle: 144,49
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,425 Type(class): TextView ID: android:id/summary Name: Update while roaming Type(class): TextView Rectangle: 271,38
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 1044,388 Type(class): CheckBox ID: android:id/checkbox Name:  Type(class): CheckBox Rectangle: 64,64
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 48,486 Type(class): TextView ID: android:id/title Name: Numbers Type(class): TextView Rectangle: 1104,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 48,552 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1104,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 64,568 Type(class): ImageView ID: android:id/icon Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 176,560 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 956,111
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,572 Type(class): TextView ID: android:id/title Name: Fraction digits Type(class): TextView Rectangle: 230,49
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,621 Type(class): TextView ID: android:id/summary Name: Three fraction digits Type(class): TextView Rectangle: 249,38
</li></ul></li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 48,682 Type(class): TextView ID: android:id/title Name: About Type(class): TextView Rectangle: 1104,64
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 48,748 Type(class): LinearLayout ID:  Name:  Type(class): LinearLayout Rectangle: 1104,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 64,764 Type(class): ImageView ID: android:id/icon Name:  Type(class): ImageView Rectangle: 96,96
</li></ul><ul><li style="color:white;" class="m-wrap"> Level 3: Start Pos: 176,756 Type(class): RelativeLayout ID:  Name:  Type(class): RelativeLayout Rectangle: 956,111
<ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,768 Type(class): TextView ID: android:id/title Name: About Type(class): TextView Rectangle: 96,49
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 4: Start Pos: 176,817 Type(class): TextView ID: android:id/summary Name: Currency version 1.0 Type(class): TextView Rectangle: 252,38
</li></ul></li></ul></li></ul></li></ul></li><div class="buffer"></div></ul><ul class="collapsibleList"><div id="newTree">New Tree</div><li style="color:white;" class="m-wrap"> Level 0: Start Pos: 0,0 Type(class): FrameLayout ID:  Name:  Type(class): FrameLayout Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 1: Start Pos: 0,0 Type(class): ViewGroup ID: android:id/decor_content_parent Name:  Type(class): ViewGroup Rectangle: 1200,1824
</span><ul><li style="color:white;" class="m-wrap"> Level 2: Start Pos: 0,48 Type(class): ViewGroup ID: android:id/action_bar Name:  Type(class): ViewGroup Rectangle: 1200,128
<ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 16,56 Type(class): ImageButton ID:  Name:  Type(class): ImageButton Rectangle: 112,112
</li></ul><ul><li style="color:red;" class="m-wrap"> Level 3: Start Pos: 136,85 Type(class): TextView ID:  Name: Help Type(class): TextView Rectangle: 82,54
</li></ul></li></ul><ul><li style="color:red;" class="m-wrap"> Level 2: Start Pos: 16,176 Type(class): TextView ID: org.billthefarmer.currency:id/help Name: Currency

Simple currency conversion.

 •  Currency rates from the European Central Bank

 •  32 international currencies

 •  Currency rates updated daily

 •  Last rate update retained for use offline

 •  Ukrainian, German and French translation

Usage

Edit

Touch the current currency value field to edit the value. The display will be updated dynamically as you type. Touch the Done button on the numeric keypad to update the value field. The whole value field is selected by default when touched so it will be overwritten by typing in a new value. To deselect the text, touch an adjacent area, like the currency flag. This behaviour can be disabled in the settings below. 

Toolbar

The icons in the toolbar from left to right are: 

Add

Add a currency to the list. A scrollable list of currencies will pop up. Touch an entry to select it or touch the Cancel button below the list. Long touch an entry to select it. Once one currency is selected others may be added or removed from the selection by touching them. Another long touch on another currency will clear the list and select the new currency. Touch the Clear button to clear the selection. Touch the Select button to add the selection. The entries will be added to the list in the order selected. 

Update

Get the day's currency rates from the ECB. The date shown on the left above the currency list will be updated if new rates are available. It may show the previous day because the rates are updated at around 14:15 CET. The status display on the right above the currency list will show 'OK', 'No Connection', 'No WiFi' or 'Roaming' according to the update settings. It may show 'Failed' if the connection times out or fails to connect. 

Help

Display this help text. 

Settings

Display the settings screen. 

Edit currency list

Touch a currency entry in the list to make it current. The old current currency will move to the top of the list. Long touch a currency entry to select it. Once one currency is selected others may be added or removed from the selection by touching them. Another long touch on another currency will clear the list and select the new currency. The icons in the toolbar will change to: 

Clear

Clear the selection. 

Remove

Remove the selected currencies. 

Chart

Display a chart of selected currencies. If one is selected, the chart will be of the current currency and the selected currency. If two currencies are selected the chart will be of those currencies. 

Copy

Copy selection value to clipboard. Only one value will be copied. 

Chart

The display shows an interactive chart of the last 90 days of historical rates from the ECB. The chart responds to two finger pinch and expand gestures and will scroll once expanded. The toolbar icons from left to right are: 

Invert

The chart will be inverted

New chart

The scrollable list of currencies will pop up. Select one or two currencies from the list as above to replace the current currencies in the chart. 

Update

The chart will be updated

Historical

The chart will be updated with nearly eighteen years of historical data currently dating from 1 April 1999. Not all the currencies go back this far. Caution - this will take a while, depending on the connection, and will download more than 6Mb of data. 

Settings

Update

WiFi Update while connected on WiFi only

Roaming Update while roaming

Selection

Selection Select all current currency value text when touched. 

Numbers

Fraction digits Select the number of digits to display after the decimal point. A popup list of options will be displayed. 

Chart

Fill Fill the chart trace

Theme

Dark Use dark theme

About

About Display the version, copyright and licence.

 Type(class): TextView Rectangle: 1168,1648
</li></ul></li></ul></li><div class="buffer"></div></ul>
</ul>

<script type="text/javascript">
  function colorChange(names){
    for (var name in names){
      var list = document.getElementsByClassName(name);
      if (list[0].innerHTML != list[1].innerHTML){
          list[0].style.color = "gray";
          list[1].style.color = "gray";
      }
    }
  }
  var names = ["0","1"];
  colorChange(names);
</script>
</body>
